package com.crm.ucard.dao.mapper;

import com.crm.rely.backend.core.dto.ucard.CardInfoQueryDto;
import com.crm.rely.backend.core.dto.ucard.UcardCardDto;
import com.crm.rely.backend.core.entity.ucard.CardInfoQueryEntity;
import com.crm.rely.backend.core.entity.ucard.CardPageEntity;
import com.crm.rely.backend.core.pojo.table.ucard.UcardCardTable;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface UcardCardMapper {

    Integer countList(CardPageEntity entity);

    List<UcardCardDto> pageList(CardPageEntity entity);

    CardInfoQueryDto cardInfoQuery(CardInfoQueryEntity entity);

    /**
     * 查询用户所有正常的卡
     */
    List<UcardCardTable> findAllByUniqueId(String uniqueId);
}
